﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewPredefinedValues
{
    public class ViewModel : ViewModelBase
    {
        public ObservableCollection<Appointment> Appointments { get; set; }

        public ObservableCollection<AllowedSlot> AllowedSlots { get; set; }

        public ViewModel()
        {
            var now = DateTime.Now;

            var app1 = new Appointment()
            {
                Subject = "Test App1",
                Start = now,
                End = now.AddHours(1)

            };

            var app2 = new Appointment()
           {
               Subject = "Test App2",
               Start = now.AddDays(1).AddHours(2),
               End = now.AddDays(1).AddHours(3)

           };
            this.Appointments = new ObservableCollection<Appointment>()
            {
                app1, app2
            };

            this.AllowedSlots = new ObservableCollection<AllowedSlot>()
            {
               new AllowedSlot() { Start = TimeSpan.FromHours(7.5), End = TimeSpan.FromHours(8.25) },
               new AllowedSlot() { Start = TimeSpan.FromHours(8.25), End = TimeSpan.FromHours(9) },
               new AllowedSlot() { Start = TimeSpan.FromHours(9), End = TimeSpan.FromHours(9.5) }
            };
        }
    }

    public class AllowedSlot
    {
        public TimeSpan Start { get; set; }
        public TimeSpan End { get; set; }

        public override string ToString()
        {
            return "Start " + Start + " - End: " + End;
        }
    }

}
